package test;

import core.Point;
import model.CircleShape;
import model.Color;
import model.Drawing;
import model.Group;
import model.Shape;
import model.Stroke;

public class PartB {

	public static void main(String[] args) {
		Drawing d = new Drawing(100, 100);

		CircleShape c1 = new CircleShape(new Point(50, 25), 10, Stroke.None, Color.Red);
		CircleShape c2 = new CircleShape(new Point(50, 50), 10, Stroke.None);
		CircleShape c3 = new CircleShape(new Point(50, 75), 10, new Stroke(1,
				Color.Green), Color.Green);
		CircleShape c4 = new CircleShape(new Point(50, 50), 10, Stroke.None,
				Color.White);

		Group g = new Group(new Shape[] { c1, c2, c3, c4 });

		g.setStroke(new Stroke(1, Color.Black));
		
		d.add(g);
		Viewer.show(d);
	}
}
